Summary:	Aurox Package Updater for KDE
Name:		aurox-updater
Version:	1.0
Release:	4%{?dist}
Url:		http://www.aurox.org
Group:		User Interface/Desktops
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	aurox-updater-%{version}.tar.bz2
Source1:	aurox-updater.desktop
Source2:	aurox-updater-autostart.desktop
Requires:	kdebase, yum, qt
BuildRequires:	kdebase-devel, qt-devel

%description
Package updater is a tool for informing user about avalible updates and applying updates.

%prep
%setup -q -n aurox-updater

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/autostart/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/kde/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/aurox-updater/

install -m 755 aurox-updater $RPM_BUILD_ROOT%{_bindir}/aurox-updater
install -m 644 24x24/aurox.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps/aurox.png
install -m 644 48x48/aurox.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/aurox.png
install -m 644 updater_??.qm $RPM_BUILD_ROOT%{_datadir}/aurox-updater/
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/autostart/aurox-updater-autostart.desktop
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/applications/kde/aurox-updater.desktop

%post
%postun
%files
%{_bindir}/aurox-updater
%{_datadir}/autostart/aurox-updater-autostart.desktop
%{_datadir}/applications/kde/aurox-updater.desktop
%{_datadir}/aurox-updater/updater_??.qm
%{_datadir}/icons/hicolor/24x24/apps/aurox.png
%{_datadir}/icons/hicolor/48x48/apps/aurox.png
%changelog
* Wed Aug 02 2006 Czarek Butler <czarek@aurox.org> 3.5.3-4
- translated some part of interface

* Mon Jun 24 2006 Czarek Butler <czarek@aurox.org> 3.5.3-3
- checks much faster for new updates

* Fri Jun 21 2006 Czarek Butler <czarek@aurox.org> 3.5.3-2
- new icon, added pl translation

* Thu Jun 19 2006 Jakub Wojnowski <jwojnowski@aurox.org> 3.5.3-1
- initial release
